Import Segmentpost https://{APP_DOMAIN}/api/3.2/messages/segments/{id}/importImports subscribers into a segment from a file or email list.Path ParamsidintegerrequiredThe segment IDBody ParamsBody ParamsclearbooleanrequiredTrue if you want the segment to be cleared before the import. False if you do not want the segment to be cleared, but instead added to.truefalseactiveStatusbooleanSet activeStatus to true for subscriber to be 'Active', false for 'inactive', null or empty is a 'lead'. When subscriptionAction is 'update_only' and activeStatus is null, existing subscription statuses will not be changed.truefalsesubscriptionActionstringenumSubscription management action: 'none' (leads only), 'create_only' (new subscriptions only), 'update_only' (existing subscriptions only), 'create_or_update' (both new and existing).nonecreate_onlyupdate_onlycreate_or_updateAllowed:nonecreate_onlyupdate_onlycreate_or_updatesourceCampaignintegerWhen activeStatus is true or false, define the source campaign that is associated with the created subscriptions. A campaign effort will be created automatically.sourcePartnerintegerWhen activeStatus is true or false, define the source partner for the campaign effort.createSMSAddonsbooleanWhether to create SMS addons for subscribers.truefalsesmsAddonVariableIdintegerVariable ID containing the phone number for SMS addons.sendSmsConfirmationsbooleanWhether to send SMS confirmation messages.truefalsesuppressFunnelEventsbooleanWhether to suppress funnel events during import.truefalseimportfilerequiredCSV File 🚧CSV FileThe file sent to be imported must be a CSV file separated by commas. The first row must be the header containing the fields that are being imported. The first column must be called email and contain the importing emails. Example email,first_name,last_name [email protected],example,last nameResponse 200The imported segmentUpdated 22 days ago